DATA example11_6;
do m=1 to 3;
do rep=1 to 3;
do c=1 to 4;
input y@@;
output;
end;
end;
end;
CARDS;
31	35	34	36
29	33	41	40
30	37	39	41
34	40	36	39
32	35	41	41
36	38	39	42
31	29	35	37
32	30	34	38
28	33	41	42
;
PROC GLM;
CLASS m rep c;
MODEL Y=m rep(m) c m*c;
TEST H =m E =rep(m);
lsmeans m/ tdiff pdiff adjust=bon e=rep(m);
lsmeans c/ tdiff pdiff adjust=bon;
RUN;
